/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package preexamen1;

import javax.swing.JOptionPane;
/**
 *
 * @author ionix
 */
public class jifNotaVenta extends javax.swing.JInternalFrame {

    /**
     * Creates new form jifNotaVenta
     */
    public jifNotaVenta() {
        initComponents();
        
        initComponents();
        this.resize(950, 770);
        this.deshabilitar();
    }
    
     public void deshabilitar() {
        this.txtFecha.setEnabled(false);
        this.txtCantidad.setEnabled(false);
        this.txtConcepto.setEnabled(false);
        this.txtDomicilio.setEnabled(false);
        this.txtId.setEnabled(false);
        this.txtLote.setEnabled(false);
        this.txtNomCliente.setEnabled(false);
        this.txtNombre.setEnabled(false);
        this.txtNumNota.setEnabled(false);
        this.txtRfc.setEnabled(false);
        this.txtSubtotal.setEnabled(false);
        this.txtCaducidad.setEnabled(false);
        this.txtImpuesto.setEnabled(false);
        this.txtTotalAPagar.setEnabled(false);
        this.txtTemperatura.setEnabled(false);
        this.btnCancelar.setEnabled(false);
        this.btnGuardar.setEnabled(false);
        this.btnLimpiar.setEnabled(false);
        this.btnMostrar.setEnabled(false);
        this.chbPerecedero.setEnabled(false);
        this.txtPrecio.setEnabled(false);
        this.cmbTipo.setEnabled(false);
        this.cmbUnidad.setEnabled(false);
        this.chbPerecedero.setSelected(false);
    }
     
     public void habilitar() {
        this.txtFecha.setEnabled(!false);
        this.txtCantidad.setEnabled(!false);
        this.txtConcepto.setEnabled(!false);
        this.txtDomicilio.setEnabled(!false);
        this.txtId.setEnabled(!false);
        this.txtLote.setEnabled(!false);
        this.txtNomCliente.setEnabled(!false);
        this.txtNombre.setEnabled(!false);
        this.txtNumNota.setEnabled(!false);
        this.txtRfc.setEnabled(!false);
        this.btnCancelar.setEnabled(!false);
        this.btnGuardar.setEnabled(!false);
        this.btnLimpiar.setEnabled(!false);
        this.btnMostrar.setEnabled(!false);
        this.chbPerecedero.setEnabled(!false);
        this.txtPrecio.setEnabled(!false);
        this.cmbTipo.setEnabled(!false);
        this.cmbUnidad.setEnabled(!false);
    }
     
     public void limpiar() {
        this.txtFecha.setText("");
        this.txtCantidad.setText("");
        this.txtConcepto.setText("");
        this.txtDomicilio.setText("");
        this.txtId.setText("");
        this.txtLote.setText("");
        this.txtNomCliente.setText("");
        this.txtNombre.setText("");
        this.txtNumNota.setText("");
        this.txtRfc.setText("");
        this.txtSubtotal.setText("");
        this.txtCaducidad.setText("");
        this.txtImpuesto.setText("");
        this.txtTotalAPagar.setText("");
        this.txtTemperatura.setText("");
        this.txtPrecio.setText("");
        this.cmbTipo.setSelectedIndex(0);
        this.cmbUnidad.setSelectedIndex(0);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        txtFecha = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        txtNumNota = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        txtConcepto = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        txtCantidad = new javax.swing.JTextField();
        cmbTipo = new javax.swing.JComboBox<>();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        txtDomicilio = new javax.swing.JTextField();
        txtRfc = new javax.swing.JTextField();
        jLabel16 = new javax.swing.JLabel();
        txtNomCliente = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        jPanel3 = new javax.swing.JPanel();
        txtNombre = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        txtId = new javax.swing.JTextField();
        txtPrecio = new javax.swing.JTextField();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        cmbUnidad = new javax.swing.JComboBox<>();
        jLabel22 = new javax.swing.JLabel();
        chbPerecedero = new javax.swing.JCheckBox();
        txtLote = new javax.swing.JTextField();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        txtTemperatura = new javax.swing.JTextField();
        jLabel25 = new javax.swing.JLabel();
        txtCaducidad = new javax.swing.JTextField();
        jPanel4 = new javax.swing.JPanel();
        jLabel26 = new javax.swing.JLabel();
        txtSubtotal = new javax.swing.JTextField();
        jLabel27 = new javax.swing.JLabel();
        txtImpuesto = new javax.swing.JTextField();
        jLabel28 = new javax.swing.JLabel();
        txtTotalAPagar = new javax.swing.JTextField();
        btnNuevo = new javax.swing.JButton();
        btnGuardar = new javax.swing.JButton();
        btnMostrar = new javax.swing.JButton();
        btnLimpiar = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        btnCerrar = new javax.swing.JButton();
        jInternalFrame1 = new javax.swing.JInternalFrame();
        jPanel2 = new javax.swing.JPanel();
        jTextField3 = new javax.swing.JTextField();
        jLabel3 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jTextField10 = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        jTextField11 = new javax.swing.JTextField();
        jLabel13 = new javax.swing.JLabel();
        jTextField12 = new javax.swing.JTextField();
        jComboBox2 = new javax.swing.JComboBox<>();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jTextField13 = new javax.swing.JTextField();

        setBorder(javax.swing.BorderFactory.createTitledBorder("Factura"));
        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Factura");

        jPanel1.setBackground(new java.awt.Color(204, 0, 204));
        jPanel1.setLayout(null);

        txtFecha.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel1.add(txtFecha);
        txtFecha.setBounds(620, 30, 220, 30);

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel2.setText("Fecha:");
        jPanel1.add(jLabel2);
        jLabel2.setBounds(520, 30, 80, 30);

        jLabel6.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel6.setText("Numero de Nota:");
        jPanel1.add(jLabel6);
        jLabel6.setBounds(30, 30, 120, 30);

        txtNumNota.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel1.add(txtNumNota);
        txtNumNota.setBounds(150, 30, 220, 30);

        jLabel7.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel7.setText("Concepto:");
        jPanel1.add(jLabel7);
        jLabel7.setBounds(20, 150, 120, 30);

        txtConcepto.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel1.add(txtConcepto);
        txtConcepto.setBounds(120, 150, 220, 30);

        jLabel8.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel8.setText("Tipo de pago:");
        jPanel1.add(jLabel8);
        jLabel8.setBounds(20, 210, 120, 30);

        txtCantidad.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel1.add(txtCantidad);
        txtCantidad.setBounds(120, 270, 220, 30);

        cmbTipo.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Eliga un tipo", "1.Contado", "2.Credito" }));
        jPanel1.add(cmbTipo);
        cmbTipo.setBounds(160, 210, 180, 30);

        jLabel9.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel9.setText("Cantidad:");
        jPanel1.add(jLabel9);
        jLabel9.setBounds(20, 270, 120, 30);

        jLabel10.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel10.setText("Domicilio:");
        jPanel1.add(jLabel10);
        jLabel10.setBounds(20, 330, 120, 30);

        txtDomicilio.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel1.add(txtDomicilio);
        txtDomicilio.setBounds(120, 330, 220, 30);

        txtRfc.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        txtRfc.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtRfcActionPerformed(evt);
            }
        });
        jPanel1.add(txtRfc);
        txtRfc.setBounds(90, 390, 250, 30);

        jLabel16.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel16.setText("Rfc:");
        jPanel1.add(jLabel16);
        jLabel16.setBounds(20, 390, 70, 30);

        txtNomCliente.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel1.add(txtNomCliente);
        txtNomCliente.setBounds(160, 90, 180, 30);

        jLabel17.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel17.setText("Nombre del Cliente:");
        jPanel1.add(jLabel17);
        jLabel17.setBounds(20, 90, 120, 30);

        jPanel3.setBackground(new java.awt.Color(204, 204, 204));
        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "----Informacion del producto----", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));
        jPanel3.setLayout(null);

        txtNombre.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(txtNombre);
        txtNombre.setBounds(290, 50, 170, 30);

        jLabel18.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel18.setText("Tipo:");
        jPanel3.add(jLabel18);
        jLabel18.setBounds(220, 90, 70, 30);

        jLabel19.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel19.setText("Id:");
        jPanel3.add(jLabel19);
        jLabel19.setBounds(10, 50, 70, 30);

        txtId.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(txtId);
        txtId.setBounds(40, 50, 170, 30);

        txtPrecio.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(txtPrecio);
        txtPrecio.setBounds(60, 90, 150, 30);

        jLabel20.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel20.setText("Precio:");
        jPanel3.add(jLabel20);
        jLabel20.setBounds(10, 90, 70, 30);

        jLabel21.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel21.setText("Nombre:");
        jPanel3.add(jLabel21);
        jLabel21.setBounds(220, 50, 70, 30);

        cmbUnidad.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Eliga un tipo.", "1. Pieza", "2. Kilo", "3. Litro" }));
        jPanel3.add(cmbUnidad);
        cmbUnidad.setBounds(300, 90, 130, 30);

        jLabel22.setFont(new java.awt.Font("Arial", 1, 14)); // NOI18N
        jLabel22.setText("Es perecedero");
        jPanel3.add(jLabel22);
        jLabel22.setBounds(20, 150, 120, 30);

        chbPerecedero.setBackground(new java.awt.Color(204, 204, 204));
        chbPerecedero.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        chbPerecedero.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                chbPerecederoActionPerformed(evt);
            }
        });
        jPanel3.add(chbPerecedero);
        chbPerecedero.setBounds(130, 150, 40, 30);

        txtLote.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(txtLote);
        txtLote.setBounds(290, 140, 170, 30);

        jLabel23.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel23.setText("Lote:");
        jPanel3.add(jLabel23);
        jLabel23.setBounds(220, 140, 70, 30);

        jLabel24.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel24.setText("Temperatura:");
        jPanel3.add(jLabel24);
        jLabel24.setBounds(10, 200, 100, 30);

        txtTemperatura.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(txtTemperatura);
        txtTemperatura.setBounds(100, 200, 110, 30);

        jLabel25.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel25.setText("Fecha Caducidad:");
        jPanel3.add(jLabel25);
        jLabel25.setBounds(220, 200, 120, 30);

        txtCaducidad.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel3.add(txtCaducidad);
        txtCaducidad.setBounds(330, 200, 130, 30);

        jPanel1.add(jPanel3);
        jPanel3.setBounds(370, 110, 500, 290);

        jPanel4.setBackground(new java.awt.Color(153, 255, 102));
        jPanel4.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "----Calculos del pago----", javax.swing.border.TitledBorder.CENTER, javax.swing.border.TitledBorder.DEFAULT_POSITION));
        jPanel4.setLayout(null);

        jLabel26.setFont(new java.awt.Font("Arial", 0, 16)); // NOI18N
        jLabel26.setForeground(new java.awt.Color(51, 51, 51));
        jLabel26.setText("Subtotal: ");
        jPanel4.add(jLabel26);
        jLabel26.setBounds(20, 40, 80, 30);

        txtSubtotal.setFont(new java.awt.Font("Arial", 0, 18)); // NOI18N
        txtSubtotal.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtSubtotalActionPerformed(evt);
            }
        });
        jPanel4.add(txtSubtotal);
        txtSubtotal.setBounds(120, 40, 280, 30);

        jLabel27.setFont(new java.awt.Font("Arial", 0, 16)); // NOI18N
        jLabel27.setForeground(new java.awt.Color(51, 51, 51));
        jLabel27.setText("Impuesto:");
        jPanel4.add(jLabel27);
        jLabel27.setBounds(20, 80, 80, 30);

        txtImpuesto.setFont(new java.awt.Font("Arial", 0, 18)); // NOI18N
        txtImpuesto.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtImpuestoActionPerformed(evt);
            }
        });
        jPanel4.add(txtImpuesto);
        txtImpuesto.setBounds(120, 80, 280, 30);

        jLabel28.setFont(new java.awt.Font("Arial", 0, 16)); // NOI18N
        jLabel28.setForeground(new java.awt.Color(51, 51, 51));
        jLabel28.setText("Total a Pagar:");
        jPanel4.add(jLabel28);
        jLabel28.setBounds(10, 120, 120, 30);

        txtTotalAPagar.setFont(new java.awt.Font("Arial", 0, 18)); // NOI18N
        txtTotalAPagar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtTotalAPagarActionPerformed(evt);
            }
        });
        jPanel4.add(txtTotalAPagar);
        txtTotalAPagar.setBounds(120, 120, 280, 30);

        jPanel1.add(jPanel4);
        jPanel4.setBounds(390, 440, 430, 190);

        btnNuevo.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        btnNuevo.setText("Nuevo");
        btnNuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnNuevoActionPerformed(evt);
            }
        });
        jPanel1.add(btnNuevo);
        btnNuevo.setBounds(50, 470, 90, 40);

        btnGuardar.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        btnGuardar.setText("Guardar");
        btnGuardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGuardarActionPerformed(evt);
            }
        });
        jPanel1.add(btnGuardar);
        btnGuardar.setBounds(150, 470, 90, 40);

        btnMostrar.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        btnMostrar.setText("Mostrar");
        btnMostrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnMostrarActionPerformed(evt);
            }
        });
        jPanel1.add(btnMostrar);
        btnMostrar.setBounds(250, 470, 90, 40);

        btnLimpiar.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        btnLimpiar.setText("Limpiar");
        btnLimpiar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLimpiarActionPerformed(evt);
            }
        });
        jPanel1.add(btnLimpiar);
        btnLimpiar.setBounds(50, 540, 90, 40);

        btnCancelar.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        jPanel1.add(btnCancelar);
        btnCancelar.setBounds(150, 540, 90, 40);

        btnCerrar.setFont(new java.awt.Font("Arial", 0, 14)); // NOI18N
        btnCerrar.setText("Cerrar");
        btnCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCerrarActionPerformed(evt);
            }
        });
        jPanel1.add(btnCerrar);
        btnCerrar.setBounds(250, 540, 90, 40);

        jInternalFrame1.setBorder(javax.swing.BorderFactory.createTitledBorder("Factura"));
        jInternalFrame1.setClosable(true);
        jInternalFrame1.setIconifiable(true);
        jInternalFrame1.setMaximizable(true);
        jInternalFrame1.setResizable(true);
        jInternalFrame1.setTitle("Factura");

        jPanel2.setBackground(new java.awt.Color(204, 0, 204));
        jPanel2.setLayout(null);

        jTextField3.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel2.add(jTextField3);
        jTextField3.setBounds(620, 30, 220, 30);

        jLabel3.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel3.setText("Fecha:");
        jPanel2.add(jLabel3);
        jLabel3.setBounds(520, 30, 80, 30);

        jLabel11.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel11.setText("Numero de Nota:");
        jPanel2.add(jLabel11);
        jLabel11.setBounds(30, 30, 120, 30);

        jTextField10.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel2.add(jTextField10);
        jTextField10.setBounds(150, 30, 220, 30);

        jLabel12.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel12.setText("Concepto:");
        jPanel2.add(jLabel12);
        jLabel12.setBounds(30, 90, 120, 30);

        jTextField11.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel2.add(jTextField11);
        jTextField11.setBounds(120, 90, 220, 30);

        jLabel13.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel13.setText("Tipo de pago:");
        jPanel2.add(jLabel13);
        jLabel13.setBounds(30, 140, 120, 30);

        jTextField12.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel2.add(jTextField12);
        jTextField12.setBounds(120, 190, 220, 30);

        jComboBox2.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "Eliga un tipo", "1.Contado", "2.Credito" }));
        jPanel2.add(jComboBox2);
        jComboBox2.setBounds(160, 140, 180, 30);

        jLabel14.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel14.setText("Cantidad:");
        jPanel2.add(jLabel14);
        jLabel14.setBounds(30, 190, 120, 30);

        jLabel15.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jLabel15.setText("Domicilio:");
        jPanel2.add(jLabel15);
        jLabel15.setBounds(30, 240, 120, 30);

        jTextField13.setFont(new java.awt.Font("Tahoma", 0, 14)); // NOI18N
        jPanel2.add(jTextField13);
        jTextField13.setBounds(120, 240, 220, 30);

        javax.swing.GroupLayout jInternalFrame1Layout = new javax.swing.GroupLayout(jInternalFrame1.getContentPane());
        jInternalFrame1.getContentPane().setLayout(jInternalFrame1Layout);
        jInternalFrame1Layout.setHorizontalGroup(
            jInternalFrame1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jInternalFrame1Layout.setVerticalGroup(
            jInternalFrame1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 892, Short.MAX_VALUE)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(layout.createSequentialGroup()
                    .addGap(0, 446, Short.MAX_VALUE)
                    .addComponent(jInternalFrame1, javax.swing.GroupLayout.PREFERRED_SIZE, 0, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGap(0, 446, Short.MAX_VALUE)))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, 822, Short.MAX_VALUE)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                .addGroup(layout.createSequentialGroup()
                    .addGap(0, 0, Short.MAX_VALUE)
                    .addComponent(jInternalFrame1, javax.swing.GroupLayout.PREFERRED_SIZE, 0, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGap(0, 0, Short.MAX_VALUE)))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void chbPerecederoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_chbPerecederoActionPerformed
        // TODO add your handling code here:
        if (chbPerecedero.isSelected() == true) {
            this.txtCaducidad.setEnabled(true);
            this.txtTemperatura.setEnabled(true);
            this.txtLote.setEnabled(!true);
            this.txtLote.setText("");
        } else {
            this.txtCaducidad.setEnabled(!true);
            this.txtTemperatura.setEnabled(!true);
            this.txtLote.setEnabled(true);
            this.txtTemperatura.setText("");
            this.txtCaducidad.setText("");
        }
        
    }//GEN-LAST:event_chbPerecederoActionPerformed

    private void txtSubtotalActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtSubtotalActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtSubtotalActionPerformed

    private void txtImpuestoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtImpuestoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtImpuestoActionPerformed

    private void txtTotalAPagarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtTotalAPagarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtTotalAPagarActionPerformed

    private void btnNuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnNuevoActionPerformed
        // TODO add your handling code here:
        factu = new Factura();
        pere = new Perecederos();
        nopere = new NoPerecederos();
        this.habilitar();
    }//GEN-LAST:event_btnNuevoActionPerformed

    private void btnGuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGuardarActionPerformed
        // TODO add your handling code here:
        boolean exito = false;
        if (this.chbPerecedero.isSelected() == true) {
            if (this.txtCaducidad.getText().equals("")) {
                exito = true;
            }
            if (this.txtTemperatura.getText().equals("")) {
                exito = true;
            }
        } else {
            if (this.txtLote.getText().equals("")) {
                exito = true;
            }
        }
        if (this.txtCantidad.getText().equals("")) {
            exito = true;
        }
        if (this.txtConcepto.getText().equals("")) {
            exito = true;
        }
        if (this.txtDomicilio.getText().equals("")) {
            exito = true;
        }
        if (this.txtFecha.getText().equals("")) {
            exito = true;
        }
        if (this.txtId.getText().equals("")) {
            exito = true;
        }
        if (this.txtNomCliente.getText().equals("")) {
            exito = true;
        }
        if (this.txtNombre.getText().equals("")) {
            exito = true;
        }
        if (this.cmbTipo.getSelectedIndex() == 0) {
            exito = true;
        }
        if (this.cmbUnidad.getSelectedIndex() == 0) {
            exito = true;
        }
        if (this.txtNumNota.getText().equals("")) {
            exito = true;
        }
        if (this.txtRfc.getText().equals("")) {
            exito = true;
        }
        if (exito == true) {
            JOptionPane.showMessageDialog(this, "Falto capturar informacion");
        } else {
            try {
                factu.setNumNota(Integer.parseInt(this.txtNumNota.getText()));
                factu.setConcepto(this.txtConcepto.getText());
                factu.setDomicilio(this.txtDomicilio.getText());
                factu.setFecha(this.txtFecha.getText());
                factu.setNomCliente(this.txtNomCliente.getText());
                factu.setRfc(this.txtRfc.getText());
                factu.setTipoPago(this.cmbTipo.getSelectedIndex());
                factu.setCantidad(Integer.parseInt(this.txtCantidad.getText()));
                if (this.chbPerecedero.isSelected() == true) {
                    pere.setFechaCad(this.txtCaducidad.getText());
                    pere.setTemp(this.txtTemperatura.getText());
                    pere.setNomProducto(this.txtNombre.getText());
                    pere.setIdProducto(Integer.parseInt(this.txtId.getText()));
                    pere.setUniProducto(this.cmbUnidad.getSelectedIndex());
                    pere.setPrecioUnitario(Float.parseFloat(this.txtPrecio.getText()));
                    factu.setPerecedero(pere);
                } else {
                    nopere.setNomProducto(this.txtNombre.getText());
                    nopere.setIdProducto(Integer.parseInt(this.txtId.getText()));
                    nopere.setUniProducto(this.cmbUnidad.getSelectedIndex());
                    nopere.setLote(this.txtLote.getText());
                    nopere.setPrecioUnitario(Float.parseFloat(this.txtPrecio.getText()));
                    
                }
            } catch (NumberFormatException e) {
                exito = true;
                JOptionPane.showMessageDialog(this, "Falto capturar informacion!! " + e.getMessage());
                this.deshabilitar();
                this.limpiar();
            }
            if (exito == false) {
                this.btnMostrar.setEnabled(true);
                JOptionPane.showMessageDialog(this, "Se guardo con exito");
            }
        }
    }//GEN-LAST:event_btnGuardarActionPerformed

    private void btnMostrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnMostrarActionPerformed
        // TODO add your handling code here:
         this.limpiar();
        this.txtCantidad.setText(String.valueOf(factu.getCantidad()));
        this.txtConcepto.setText(factu.getConcepto());
        this.txtDomicilio.setText(factu.getDomicilio());
        this.txtFecha.setText(factu.getFecha());
        this.txtNomCliente.setText(factu.getNomCliente());
        this.txtRfc.setText(factu.getRfc());
        this.txtSubtotal.setText(String.valueOf(factu.calcularPago()));
        this.txtTotalAPagar.setText(String.valueOf(factu.calcularPago() + factu.calcularImpuesto()));
        this.txtNumNota.setText(String.valueOf(factu.getNumNota()));
        this.txtImpuesto.setText(String.valueOf(factu.calcularImpuesto()));
        this.cmbTipo.setSelectedIndex(factu.getTipoPago());
        if (this.chbPerecedero.isSelected() == true) {
            this.txtTemperatura.setText(pere.getFechaCad());
            this.txtCaducidad.setText(pere.getFechaCad());
            this.cmbUnidad.setSelectedIndex(pere.getUniProducto());
            this.txtPrecio.setText(String.valueOf(pere.getIdProducto()));
            this.txtId.setText(String.valueOf(pere.getIdProducto()));
            this.txtNombre.setText(pere.getNomProducto());
        } else {
            this.cmbUnidad.setSelectedIndex(nopere.getUniProducto());
            this.txtPrecio.setText(String.valueOf(nopere.getPrecioUnitario()));
            this.txtId.setText(String.valueOf(nopere.getIdProducto()));
            this.txtLote.setText(nopere.getLote());
            this.txtNombre.setText(nopere.getNomProducto());
        }
    }//GEN-LAST:event_btnMostrarActionPerformed

    private void btnLimpiarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnLimpiarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
    }//GEN-LAST:event_btnLimpiarActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
        this.deshabilitar();
    }//GEN-LAST:event_btnCancelarActionPerformed

    private void btnCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCerrarActionPerformed
        // TODO add your handling code here:
        int op = 0;

        op = JOptionPane.showConfirmDialog(this, "¿Desea salir?", "Empleados", JOptionPane.YES_NO_OPTION);

        if (op == JOptionPane.YES_OPTION) {

            this.dispose();
        }
    }//GEN-LAST:event_btnCerrarActionPerformed

    private void txtRfcActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtRfcActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtRfcActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnCerrar;
    private javax.swing.JButton btnGuardar;
    private javax.swing.JButton btnLimpiar;
    private javax.swing.JButton btnMostrar;
    private javax.swing.JButton btnNuevo;
    private javax.swing.JCheckBox chbPerecedero;
    private javax.swing.JComboBox<String> cmbTipo;
    private javax.swing.JComboBox<String> cmbUnidad;
    private javax.swing.JComboBox<String> jComboBox2;
    private javax.swing.JInternalFrame jInternalFrame1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JTextField jTextField10;
    private javax.swing.JTextField jTextField11;
    private javax.swing.JTextField jTextField12;
    private javax.swing.JTextField jTextField13;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField txtCaducidad;
    private javax.swing.JTextField txtCantidad;
    private javax.swing.JTextField txtConcepto;
    private javax.swing.JTextField txtDomicilio;
    private javax.swing.JTextField txtFecha;
    private javax.swing.JTextField txtId;
    private javax.swing.JTextField txtImpuesto;
    private javax.swing.JTextField txtLote;
    private javax.swing.JTextField txtNomCliente;
    private javax.swing.JTextField txtNombre;
    private javax.swing.JTextField txtNumNota;
    private javax.swing.JTextField txtPrecio;
    private javax.swing.JTextField txtRfc;
    private javax.swing.JTextField txtSubtotal;
    private javax.swing.JTextField txtTemperatura;
    private javax.swing.JTextField txtTotalAPagar;
    // End of variables declaration//GEN-END:variables
    private Factura factu;
    private Perecederos pere;
    private NoPerecederos nopere;
}
